\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{patterns}
\begin{document}
\begin{tikzpicture}
  % E
  \filldraw[fill=gray!30] (0,0) rectangle (2,2);
  % A
  \draw[pattern=vertical lines] (0,0.5) -- (2,1) -- (2,2) -- (0,2) -- cycle;
\end{tikzpicture}
\end{document}
